package cn.reghao.tnb.account.app.security.exception;

import org.springframework.security.core.AuthenticationException;

/**
 * @author reghao
 * @date 2023-08-04 15:32:38
 */
public class AccountLoginException extends AuthenticationException {
    private final long userId;
    private final int plat;

    public AccountLoginException(String msg, long userId, int plat) {
        super(msg);
        this.userId = userId;
        this.plat = plat;
    }

    public long getUserId() {
        return userId;
    }

    public int getPlat() {
        return plat;
    }
}
